[peanut]
; ****************************************
; settings used by peanut core TypeSctipt/js code
; ****************************************
applicationVersionNumber=1.0.1
; Optional settings:
; modulePath=  Default modules
modulePath=wp-content/plugins/peanut
; peanutRootPath = default modulePath/pnut
; corePath= Peanut vm and components location.  default [peanutRootPath]/core
; mvvmPath= Default application/mvvm
; packagePath= Default [peanutRootPath]/packages
; serviceUrl=  Default /peanut/service/execute
; dependencies=  Additional dependent scripts for application.  Uses location aliases like @app,$pkg,
; vmNamespace= View Model namspace, deafult Peanut
; loggingMode=verbose
; uiExtension=  Default Bootstrap - extension to handle framework specific action such as show a modal dialog.
; loggingMode= Default if optimize then 'none' else 'verbose';
; optimize=  Default 1.  To load debug scripts, optimize=0
optimize=0

; ****************************************
; settings used by Tops and PHP tools
; ****************************************
[classes]
; optional
; container= class for dependency injection wrapper. default  \Tops\sys\TSimpleObjectContainer

[locations]
;tops=default [peanutRootPath]/tops
;themes=default application/assets/themes

; used by service classes
[services]
; Application namespace is required if you have added source directories under application/src
; applicationNamespace='\Bookstore'
;servicesNamespace=  Default: 'services'

[pages]
; theme=  Default: 'cerulean'
; login-page= Default: 'login'
; peanutUrl= Default 'peanut'
; page-title= Default - use page title in ViewModels.ini or vm name
; navbar= Default 'default'

[mail]
; sendmail= default 1
; 	options 
;      0 = disabled
;      1 = use default
;      mail=use php mail() function (supported in PHPMailer) 
;      smtp=use smtp settings
;
; debug=0 (supported by PHPMailer)
; Enable SMTP debugging
;   0 = off (for production use) - default
;   1 = client messages
;   2 = client and server messages

; basedir= default '' (prepend image urls supported by PHPMailer)

; SMTP settings
; host='mail.example.com' - default 'localhost'
; port= default 25
; auth= default 0
; username= (ignored if auth=0)
; password (ignored if auth=0)
; 

[site]
; url= (default, get from _SERVER)
; full web path for site root

[autoload]
; register autoload namespaces
; example: Quaker='application/src/quaker-meeting'
; example:  Tops\wordpress=[pnut-src]\wordpress - [pnut-src] replaced by Peanut source path
PeanutTest=[pnut-src]\test
Tops\wordpress=[pnut-src]\wordpress